Name:		openmw
Version:	0.48.0
Release:	%mkrel 7
Summary:	Unofficial open source engine re-implementation of the game Morrowind
Group:		Games/Other
License:	GPLv3
URL:		https://openmw.org
Source0:	https://github.com/OpenMW/openmw/archive/%{name}-%{version}.tar.gz
Patch0:		0001-fix-includes.patch
# patch as rediffed by openmandriva
Patch1:		3319.patch
Patch2:		openmw-0.48.0-ffmpeg7.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(bullet)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libunshield)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(MYGUI)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	pkgconfig(xt)
BuildRequires:	recastnavigation-devel
Requires:	font(dejavulgcsansmono)

%description
OpenMW is an attempt to reimplement the popular role playing game Morrowind.
It aims to be a fully playable, open source implementation of the game.

You must own Morrowind to use OpenMW. OpenMW is a reimplementation of the
technical aspects of the game only. It does not come with any “content”
– namely the art, game data, and other copyrighted material that you need to
play the game as designed by Bethesda Softworks.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%cmake_qt5 \
	-DDESIRED_QT_VERSION=5 \
	-DOPENMW_USE_SYSTEM_RECASTNAVIGATION=ON \
	-DBUILD_MYGUI_PLUGIN=OFF \
	-DUSE_SYSTEM_TINYXML=ON
%cmake_build

%install
%cmake_install

# Handle in files section
rm -rf %{buildroot}%{_datadir}/licenses/

# Use system font
rm -f %{buildroot}%{_gamesdatadir}/%{name}/resources/mygui/DejaVuLGCSansMono.ttf

%files
%doc AUTHORS.md CHANGELOG.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-cs
%{_bindir}/%{name}-iniimporter
%{_bindir}/%{name}-essimporter
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-wizard
%{_bindir}/%{name}-bulletobjecttool
%{_bindir}/%{name}-navmeshtool
%{_bindir}/bsatool
%{_bindir}/esmtool
%{_bindir}/niftest
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/data
%{_gamesdatadir}/%{name}/resources/
%{_datadir}/applications/org.%{name}.cs.desktop
%{_datadir}/applications/org.%{name}.launcher.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-cs.png
%{_datadir}/metainfo/%{name}.appdata.xml


%changelog
* Sun Feb 09 2025 wally <wally> 0.48.0-7.mga10
+ Revision: 2146257
- rebuild for boost 1.87.0

* Sun Jan 12 2025 wally <wally> 0.48.0-6.mga10
+ Revision: 2138394
- rebuild for icu 76.1

* Sun Dec 08 2024 daviddavid <daviddavid> 0.48.0-5.mga10
+ Revision: 2122826
- add openmandriva patch to fix ffmpeg 7.x compatibility
- rebuild for new ffmpeg 7.1

* Fri Sep 13 2024 wally <wally> 0.48.0-4.mga10
+ Revision: 2095501
- rebuild for boost 1.86.0

* Mon Jul 08 2024 papoteur <papoteur> 0.48.0-3.mga10
+ Revision: 2080315
- fix build for GCC-14 and hardening conditions
+ wally <wally>
- rebuild for boost 1.85.0
+ daviddavid <daviddavid>
- new version: 0.48.0

* Fri Jan 12 2024 wally <wally> 0.47.0-6.mga10
+ Revision: 2030576
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.47.0-5.mga10
+ Revision: 1991479
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.47.0-4.mga9
+ Revision: 1926512
- rebuild for boost 1.81.0

* Thu Dec 08 2022 rapsys <rapsys> 0.47.0-3.mga9
+ Revision: 1919278
- Cleanup and fix missing memory include (error unique_ptr not a member of std)
- Use system recastnavigation library
- rebuild for bullet 3.24 with double precision
+ wally <wally>
- rebuild for boost 1.79.0
+ luigiwalser <luigiwalser>
- 0.47.0
- remove upstreamed patches
- add upstream patch to fix ffmpeg api deprecation warnings
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sun Dec 19 2021 wally <wally> 0.46.0-11.mga9
+ Revision: 1762765
- add upstream patch to fix build with glib 2.34
- rebuild for boost 1.78.0

* Fri Sep 10 2021 wally <wally> 0.46.0-10.mga9
+ Revision: 1745102
- rebuild for boost 1.77.0

* Wed May 26 2021 akien <akien> 0.46.0-9.mga9
+ Revision: 1728363
- Rebuild for bullet 3.17

* Sat May 15 2021 wally <wally> 0.46.0-8.mga9
+ Revision: 1723356
- add patch to fix missing includes
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.46.0-7.mga8
+ Revision: 1666795
- rebuild for boost 1.75.0

* Wed Dec 30 2020 akien <akien> 0.46.0-6.mga8
+ Revision: 1665650
- Rebuild for bullet 3.08

* Sun Dec 20 2020 wally <wally> 0.46.0-5.mga8
+ Revision: 1662037
- rebuild for boost 1.74.0

* Thu Dec 17 2020 akien <akien> 0.46.0-4.mga8
+ Revision: 1660144
- Rebuild for bullet 3.07

* Thu Dec 17 2020 umeabot <umeabot> 0.46.0-3.mga8
+ Revision: 1659214
- Rebuild for new Qt5

* Sat Oct 31 2020 akien <akien> 0.46.0-2.mga8
+ Revision: 1640843
- Rebuild against gdal with fixed netcdf major dep

* Sun Oct 18 2020 akien <akien> 0.46.0-1.mga8
+ Revision: 1636687
- Version 0.46.0

* Sun May 03 2020 wally <wally> 0.45.0-4.mga8
+ Revision: 1578091
- rebuild for boost 1.73.0

* Sun Mar 01 2020 daviddavid <daviddavid> 0.45.0-3.mga8
+ Revision: 1552640
- compile with openscenegraph 3.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.45.0-2.mga8
+ Revision: 1483409
- rebuild for boost 1.72.0
- build with new cmake macros

* Fri Apr 26 2019 akien <akien> 0.45.0-1.mga7
+ Revision: 1395394
- Version 0.45.0
- Build against system TinyXML

* Sun Mar 31 2019 umeabot <umeabot> 0.44.0-4.mga7
+ Revision: 1383631
- Qt5 Rebuild

* Mon Mar 04 2019 akien <akien> 0.44.0-3.mga7
+ Revision: 1371440
- Rebuild for bullet 2.88

* Tue Oct 16 2018 wally <wally> 0.44.0-2.mga7
+ Revision: 1321072
- rebuild for new boost 1.68.0

* Sun Oct 14 2018 zezinho <zezinho> 0.44.0-1.mga7
+ Revision: 1320207
- new version 0.44.0

* Sun Sep 23 2018 umeabot <umeabot> 0.43.0-5.mga7
+ Revision: 1300026
- Mageia 7 Mass Rebuild

* Wed May 30 2018 akien <akien> 0.43.0-4.mga7
+ Revision: 1233121
- Rebuild for OpenSceneGraph 3.6.0

* Sat Apr 28 2018 daviddavid <daviddavid> 0.43.0-3.mga7
+ Revision: 1223012
- rebuild for new ffmpeg 4.0

* Sat Jan 13 2018 wally <wally> 0.43.0-2.mga7
+ Revision: 1192844
- rebuild for new openscenegraph

* Sat Dec 30 2017 akien <akien> 0.43.0-1.mga7
+ Revision: 1187777
- Version 0.43.0

* Mon Dec 25 2017 wally <wally> 0.42.0-5.mga7
+ Revision: 1184695
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.42.0-4.mga7
+ Revision: 1178381
- rebuild for boost 1.65
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 0.42.0-2.mga7
+ Revision: 1154572
- rebuild with latest boost

* Sat Aug 26 2017 akien <akien> 0.42.0-1.mga7
+ Revision: 1148042
- s/appdata/metainfo/
- Version 0.42.0

* Tue May 02 2017 akien <akien> 0.41.0-5.mga6
+ Revision: 1098370
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.41.0-4.mga6
+ Revision: 1090230
- Rebuild for ffmpeg 3.2.4

* Sun Feb 26 2017 akien <akien> 0.41.0-3.mga6
+ Revision: 1087975
- Rebuild for bullet 2.86.1

* Wed Jan 11 2017 luigiwalser <luigiwalser> 0.41.0-2.mga6
+ Revision: 1081048
- rebuild for unshield

* Fri Dec 23 2016 akien <akien> 0.41.0-1.mga6
+ Revision: 1076573
- Version 0.41.0

* Thu Oct 27 2016 akien <akien> 0.40.0-1.mga6
+ Revision: 1063705
- Version 0.40.0
- Version 0.39.0

* Fri Apr 22 2016 daviddavid <daviddavid> 0.38.0-2.mga6
+ Revision: 1004522
- add missing BRs on boost-devel and pkgconfig(xt) thus fixing build

* Sun Jan 24 2016 wally <wally> 0.38.0-1.mga6
+ Revision: 926911
- new version 0.38.0

* Wed Jan 06 2016 wally <wally> 0.37.0-1.mga6
+ Revision: 920122
- build with Qt5
- new version 0.37.0
- switch to OpenSceneGraph
- rediff MyGUI libdir patch

* Sun Dec 27 2015 daviddavid <daviddavid> 0.36.1-4.mga6
+ Revision: 915541
- rebuild for new boost 1.60.0

* Sun Sep 27 2015 tv <tv> 0.36.1-3.mga6
+ Revision: 884213
- rebuild for new boost

* Fri Aug 28 2015 cjw <cjw> 0.36.1-2.mga6
+ Revision: 870466
- rebuild with gcc 5

* Sun Aug 02 2015 wally <wally> 0.36.1-1.mga6
+ Revision: 860651
- new version 0.36.1
- rediff MyGUI lib dir patch

* Fri Feb 20 2015 akien <akien> 0.35.0-1.mga5
+ Revision: 816019
- Version 0.35.0

* Fri Nov 14 2014 akien <akien> 0.31.0-4.mga5
+ Revision: 797029
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.31.0-3.mga5
+ Revision: 740724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31.0-2.mga5
+ Revision: 683226
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 wally <wally> 0.31.0-1.mga5
+ Revision: 653305
- new version 0.31.0
- rediff MyGUI lib dir patch

* Thu May 29 2014 wally <wally> 0.30.0-1.mga5
+ Revision: 627746
- new version 0.30.0

* Mon Mar 31 2014 akien <akien> 0.29.0-2.mga5
+ Revision: 610932
- Rebuild for new MyGUI and OGRE

* Wed Mar 05 2014 wally <wally> 0.29.0-1.mga5
+ Revision: 600000
- new version 0.29.0
- rediff system fonts patch
+ fwang <fwang>
- do not promote verbose build by default

* Wed Feb 12 2014 fwang <fwang> 0.28.0-2.mga5
+ Revision: 589627
- rebuild

* Wed Feb 05 2014 wally <wally> 0.28.0-1.mga5
+ Revision: 583588
- new version 0.28.0
- add patch from Debian to use system fonts
- require used fonts

* Sat Oct 19 2013 umeabot <umeabot> 0.26.0-2.mga4
+ Revision: 534496
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 wally <wally> 0.26.0-1.mga4
+ Revision: 478143
- new version 0.26.0
- new version 0.25.0
- BR sdl2
- drop unneeded ffmpeg patch
- rediff MyGUI lib location patch

* Thu Aug 08 2013 wally <wally> 0.24.0-2.mga4
+ Revision: 464526
- add some docs

* Wed Aug 07 2013 wally <wally> 0.24.0-1.mga4
+ Revision: 464506
- import openmw (based on .spec from Alexandre Moine, Fedora)

